aboutsummaryrefslogtreecommitdiff
path: root/bin/jfcd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/jfcd.sh')
-rw-r--r--bin/jfcd.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/jfcd.sh b/bin/jfcd.sh
new file mode 100644
index 00000000..bf059883
--- /dev/null
+++ b/bin/jfcd.sh
@@ -0,0 +1,22 @@
+
+# Watch a directory for changes and commit them with jfc(1d) if there are any;
+# requires inotifywait(1)
+self=jfcd
+
+# Function wrapper around inotifywait(1)
+inw() {
+ inotifywait \
+ @./.git \
+ -e create -e delete -e modify -e move \
+ --recursive \
+ --syslog \
+ . |
+ logger --tag "$self"
+}
+
+# Directory to check is first and only argument; defaults to current directory
+cd -- "${1:-.}" || exit
+
+# Run a while loop over inotifywait(1) calls, running jfc(1d) on the working
+# directory
+while inw ; do jfc ; done